## org.apache.lucene.search.suggest
Class SortedTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
          org.apache.lucene.search.suggest.SortedTermFreqIteratorWrapper

All Implemented Interfaces:
  Iterator<String>, SortedIterator, TermFreqIterator

    public class SortedTermFreqIteratorWrapper

extends BufferingTermFreqIteratorWrapper
implements SortedIterator

This wrapper buffers incoming elements and makes sure they are sorted in ascending lexicographic order.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`BufferingTermFreqIteratorWrapper.Entry`

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`curEntry, curPos, entries`

Constructor Summary
`SortedTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary

Methods inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`entries, freq, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedTermFreqIteratorWrapper

    public SortedTermFreqIteratorWrapper(TermFreqIterator source)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.